Page MenuHomePhabricator

Pywikibot 2.0rc5
Closed, DeclinedPublic

Description

Carried over from T114534: release 2.0rc4:

Add new items here:

New release of httplib2 if https://github.com/jcgregorio/httplib2/pull/322 is included.

Related Objects

StatusSubtypeAssignedTask
Declinedjayvdb
DeclinedNone

Event Timeline

jayvdb created this task.Dec 19 2015, 12:28 AM
jayvdb raised the priority of this task from to Needs Triage.
jayvdb updated the task description. (Show Details)
jayvdb added a project: Pywikibot.
jayvdb added subscribers: jayvdb, XZise.

From a quick look through the log of master, the following seem reasonable to be backported, if the bug also exists in 2.0 (I havent verified they are not already in 2.0)

Bug fixes:

Informational:

Two recent bugs which could need to be ported to 2.0: T121667: FileNotFoundError: [Errno 2] No such file or directory: 'generate_user_files.py' & T121835: pwb.py raises exception just before executing generate_user_files.py

Another one to consider: rPWBCfcd29f1872e8: Fix invalid raise syntax in askForCaptcha . But the only real benefit is fixing broken code, for the sake of it, as it is unused (T122194: UI.askForCaptcha is unused in pywikibot core), so maybe it should be removed instead.

jayvdb updated the task description. (Show Details)Jan 7 2016, 12:12 PM
jayvdb set Security to None.
XZise updated the task description. (Show Details)Jan 7 2016, 9:00 PM
jayvdb updated the task description. (Show Details)Jan 7 2016, 9:30 PM
jayvdb updated the task description. (Show Details)Jan 19 2016, 7:06 AM
jayvdb updated the task description. (Show Details)Jan 19 2016, 8:12 AM

IMO T126880 is a good reason to release rc5

valhallasw added a subscriber: valhallasw.EditedFeb 16 2016, 9:28 PM

Is there anything left that needs to go into 2.0 (in other words, can we just release it as 2.0?)? T72936 seems to have been re-classified as 2.1.

If there are issues left, it would be good to add those bugs as blockers to T1315.

Is there anything left that needs to go into 2.0 (in other words, can we just release it as 2.0?)? T72936 seems to have been re-classified as 2.1.
If there are issues left, it would be good to add those bugs as blockers to T1315.

Did you see T121948#1892243 above ?

Xqt closed this task as Declined.Apr 25 2017, 9:05 AM
Xqt added a subscriber: Xqt.

3.0.20170304 is released